Resources:
  CommentTable:
    Type: AWS::DynamoDB::Table
    Properties:
      TableName: ${self:custom.commentTableName}
      AttributeDefinitions:
        - AttributeName: postId
          AttributeType: S
        - AttributeName: commentId
          AttributeType: S
      KeySchema:
        - AttributeName: postId
          KeyType: HASH
        - AttributeName: commentId
          KeyType: RANGE
      # Set the capacity to auto-scale
      BillingMode: PAY_PER_REQUEST
